package com.leromro.serve.controller;


import com.leromro.common.core.domain.R;
import com.leromro.common.utils.SecurityUtils;
import com.leromro.common.utils.uuid.IdUtils;
import com.leromro.serve.domain.vos.VolunteerInfoVO;
import com.leromro.serve.service.IVolunteerInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 志愿者信息表 前端控制器
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
@RestController
@RequestMapping("/serve/l-volunteer-info")
public class VolunteerInfoController {
    @Autowired
    private IVolunteerInfoService volunteerInfoService;
    /**
     * 新增志愿者信息
     * **/
    @PostMapping("/insertNewVolunteerInfo/{serviceCategory}")
    public R newVolunteerInfoByuserId(@RequestBody VolunteerInfoVO volunteerInfoVO, @PathVariable Long serviceCategory){
        Long userId = SecurityUtils.getUserId();
        volunteerInfoService.newVolunteerInfoByuserId(volunteerInfoVO,userId,serviceCategory);
        return R.ok();
    }

}
